package com.kaixed.kchat.data.objectbox.entity

import io.objectbox.annotation.Entity
import io.objectbox.annotation.Id

/**
 * @Author: kaixed
 * @Date: 2024/10/24 17:08
 */

@Entity
data class Messages(
    @Id
    var msgLocalId: Long = 0L,
    var msgSvrId: Long,
    var content: String,
    var timestamp: Long,
    var status: String,
    var senderId: String,
    var takerId: String,
    var type: String,
    var show: Boolean = true,
)
